Application: gvSIG desktop - gvSIG bugs #2982
Viewport for tiles is not correctly computed
11/07/2014 01:06 PM - Cesar Martinez Izquierdo

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category:

Target version:

2.1.0-2255-testing

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Has patch: Yes Hito:
Description

The class Tiling (in

org.gvsig.destkop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.mapcontext/org.gvsig.fmap.mapcontext.api/src/main/java/org/gvsig/fm

ap/mapcontext/layers/) does not correctly compute the viewport for tiles, in method getTileViewPort().

The Viewport is cloned from the parent, then assigned the tile parameters (height, width and envelope) and then it gets assigned the
affine transform from the parent viewport. This is incorrect as the new viewport automatically computes its own affine transform, which
is different from the parent. Instead of assigning the parent affine transform, the new viewport has to be assigned the offset of the tile,

in this way the affine transform is correctly (internally) calculated by the viewport itself.

| attach a patch that solves the problem.

This error causes the WMSs to don't get correctly printed (some tiles are missing). See related bug.

ap/map

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2983: WMS layers are not... Closed

11/07/2014

Associated revisions

Revision 41815 - 11/14/2014 07:23 AM - Joaquin del Cerro Murciano

Viewport for tiles is not correctly computed, refs #2982 (cmartinez)

History

#1 - 11/07/2014 01:09 PM - Cesar Martinez lzquierdo
- Related to gvSIG bugs #2983: WMS layers are not correctly printed or exported to PDF added

#2 - 11/10/2014 02:34 AM - Alvaro Anguix

- Assignee set to Joaquin del Cerro Murciano

#3 - 11/14/2014 05:47 AM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2255-testing

#4 - 11/14/2014 07:24 AM - Joaquin del Cerro Murciano

- Status changed from New to Fixed
#5 - 11/24/2014 08:21 AM - Alvaro Anguix

- Status changed from Fixed to Closed

Files

tiling.patch 1.17 KB 11/07/2014 Cesar Martinez Izquierdo
